> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seomator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change a prompt

> Changing the text archives this prompt with its history and returns the new prompt that replaces it.



## OpenAPI

````yaml https://api.seomator.com/openapi.json patch /v1/projects/{id}/prompts/{promptId}
openapi: 3.1.0
info:
  title: SEOmator API
  version: 0.1.0
servers:
  - url: https://api.seomator.com
security: []
paths:
  /v1/projects/{id}/prompts/{promptId}:
    patch:
      tags:
        - ai visibility
      summary: Change a prompt
      description: >-
        Changing the text archives this prompt with its history and returns the
        new prompt that replaces it.
      parameters:
        - schema:
            type: string
            description: Project id (proj_…) or slug (the domain with dots as dashes).
          required: true
          description: Project id (proj_…) or slug (the domain with dots as dashes).
          name: id
          in: path
        - schema:
            type: string
            description: Prompt id (prm_…).
          required: true
          description: Prompt id (prm_…).
          name: promptId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  minLength: 3
                  maxLength: 1000
                topicId:
                  type:
                    - string
                    - 'null'
                  default: null
                intent:
                  type: string
                  enum:
                    - informational
                    - commercial
                    - transactional
      responses:
        '200':
          description: The prompt, or its replacement
          content:
            application/json:
              schema:
                type: object
                properties:
                  prompt:
                    type: object
                    properties:
                      id:
                        type: string
                      projectId:
                        type: string
                      topicId:
                        type:
                          - string
                          - 'null'
                      text:
                        type: string
                      intent:
                        type: string
                        enum:
                          - informational
                          - commercial
                          - transactional
                      branded:
                        type: boolean
                      source:
                        type: string
                        enum:
                          - suggested
                          - ai_search_data
                          - gsc
                          - user
                          - quick_look
                      status:
                        type: string
                        enum:
                          - active
                          - archived
                      replacesPromptId:
                        type:
                          - string
                          - 'null'
                      createdAt:
                        type: string
                      archivedAt:
                        type:
                          - string
                          - 'null'
                    required:
                      - id
                      - projectId
                      - topicId
                      - text
                      - intent
                      - branded
                      - source
                      - status
                      - replacesPromptId
                      - createdAt
                      - archivedAt
                    additionalProperties: {}
                required:
                  - prompt
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - bad_request
                - unauthorized
                - insufficient_credits
                - plan_limit
                - forbidden
                - not_found
                - conflict
                - rate_limit_exceeded
                - internal_server_error
                - service_unavailable
            message:
              type: string
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Prompts: the questions SEOmator asks AI](https://docs.seomator.com/setup/prompts.md)
- [Members: invite teammates and set roles](https://docs.seomator.com/settings/members.md)
- [Projects: set up, track and manage a site](https://docs.seomator.com/getting-started/projects.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.